NestedRuntimeException (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.NestedRuntimeException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class NestedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hyperic.util.NestedRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidOptionException, InvalidOptionValueException, PluginLoaderException

    public class NestedRuntimeException

extends java.lang.RuntimeException

This is just like NestedException, but it's a RuntimeException. And here's a classic case for multiple inheritance - or rather why RuntimeException isn't an interface. But anyway, we get around that by using containment and delegating all method calls to our internal NestedException.

See Also:
  Serialized Form

Constructor Summary
`NestedRuntimeException()`
`NestedRuntimeException(java.lang.String s)`
`NestedRuntimeException(java.lang.String s, java.lang.Throwable t)`
`NestedRuntimeException(java.lang.Throwable t)`

Method Summary
`void` | `addException(java.lang.Throwable t)`
`java.lang.Throwable` | `getExceptionOfType(java.lang.Class exceptionType)`
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedRuntimeException

    public NestedRuntimeException()

### NestedRuntimeException

    public NestedRuntimeException(java.lang.String s)

### NestedRuntimeException

    public NestedRuntimeException(java.lang.Throwable t)

### NestedRuntimeException

    public NestedRuntimeException(java.lang.String s,
                                  java.lang.Throwable t)

Method Detail

### addException

    public void addException(java.lang.Throwable t)

### getExceptionOfType

    public java.lang.Throwable getExceptionOfType(java.lang.Class exceptionType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.